Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.datacopy
Class DataTransformation

    java.lang.Object
      com.knowgate.datacopy.DataTransformation

    public class DataTransformation

extends java.lang.Object

Nested Class Summary
`class` | `DataTransformation.Operations`

Field Summary
`java.lang.String` | `IfNullValue`
`java.util.HashMap` | `NextVals`
`int` | `OperationCode`
`java.lang.String` | `OriginField`
`java.lang.String` | `OriginTable`
`java.lang.String` | `ReferedField`
`java.lang.String` | `ReferedTable`
`java.util.HashMap` | `ReferedValues`
`java.lang.String` | `TargetField`
`java.lang.String` | `TargetTable`
`java.util.HashMap` | `Values`

Constructor Summary
`DataTransformation()`
`DataTransformation(int iOpCode, java.lang.String sOrTable, java.lang.String sOrField, java.lang.String sTrTable, java.lang.String sTrField, java.lang.String sRfTable, java.lang.String sRfField, java.lang.String sIfNull)`
`DataTransformation(java.lang.String sOpDesc, java.lang.String sOrTable, java.lang.String sOrField, java.lang.String sTrTable, java.lang.String sTrField)`

Method Summary
`void` | `setReferedValues(DataTransformation oDataTransf)`
`java.lang.Object` | `transform(java.sql.Connection oOrConn, java.sql.Connection oTrConn, java.lang.Object oInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OperationCode

    public int OperationCode

### IfNullValue

    public java.lang.String IfNullValue

### OriginField

    public java.lang.String OriginField

### TargetField

    public java.lang.String TargetField

### OriginTable

    public java.lang.String OriginTable

### TargetTable

    public java.lang.String TargetTable

### ReferedTable

    public java.lang.String ReferedTable

### ReferedField

    public java.lang.String ReferedField

### ReferedValues

    public java.util.HashMap ReferedValues

### Values

    public java.util.HashMap Values

### NextVals

    public java.util.HashMap NextVals

Constructor Detail

### DataTransformation

    public DataTransformation()

### DataTransformation

    public DataTransformation(java.lang.String sOpDesc,
                              java.lang.String sOrTable,
                              java.lang.String sOrField,
                              java.lang.String sTrTable,
                              java.lang.String sTrField)

### DataTransformation

    public DataTransformation(int iOpCode,
                              java.lang.String sOrTable,
                              java.lang.String sOrField,
                              java.lang.String sTrTable,
                              java.lang.String sTrField,
                              java.lang.String sRfTable,
                              java.lang.String sRfField,
                              java.lang.String sIfNull)

Method Detail

### setReferedValues

    public void setReferedValues(DataTransformation oDataTransf)

### transform

    public java.lang.Object transform(java.sql.Connection oOrConn,
                                      java.sql.Connection oTrConn,
                                      java.lang.Object oInput)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD